# $Revision: 1.37 $, $Date: 2006/05/19 21:39:08 $
%define		blist_ver 20050604
%define		ver 1.2.0
Summary:	Filter, redirector and access controller plugin for Squid
Summary(pl):	Wtyczka z filtrem, przekierowywaniem i kontrolerem dostpu dla Squida
Name:		squidGuard
Version:	%{ver}_%{blist_ver}
Release:	2
Epoch:		2
License:	GPL
Group:		Networking/Daemons
Source0:	ftp://ftp.teledanmark.no/pub/www/proxy/squidGuard/%{name}-%{ver}.tar.gz
# Source0-md5:	c6e2e9112fdbda0602656f94c1ce31fd
Source1:	%{name}.conf
Source2:	ftp://ftp.teledanmark.no/pub/www/proxy/squidGuard/contrib/blacklists-%{blist_ver}.tar.gz
# Source2-md5:	faffe58ff39c2dba0f99ca11588d817d
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-1.2.0-db4.patch
Patch2:		%{name}-1.2.0-db41.patch
Patch3:		%{name}-1.2.0-db42.patch
URL:		http://www.squidguard.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	db-devel
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post):	grep
Requires(post,preun):	squid
Requires(postun):	sed >= 4.0
Requires:	squid
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/%{name}
%define		_datadir	%{_sysconfdir}

%description
SquidGuard is a combined filter, redirector and access controller
plugin for Squid. It is free, very flexible, extremely fast, easily
installed, portable. SquidGuard can be used to:
- limit the web access for some users to a list of accepted/well known
  web servers and/or URLs only,
- block access to some listed or blacklisted web servers and/or URLs
  for some users,
- block access to URLs matching a list of regular expressions or words
  for some users,
- enforce the use of domainnames/prohibit the use of IP address in
  URLs,
- redirect blocked URLs to an "intelligent" CGI based info page,
- redirect unregistered user to a registration form,
- redirect popular downloads like Netscape, MSIE etc. to local copies,
- redirect banners to an empty GIF,
- have different access rules based on time of day, day of the week,
  date etc,
- have different rules for different user groups.

Neither squidGuard nor Squid can be used to:
- filter/censor/edit text inside documents,
- filter/censor/edit embeded scripting languages like JavaScript or
  VBscript inside HTML.

%description -l pl
SquidGuard jest wtyczk dla Squida bdc poczonym filtrem,
przekierowywaniem i kontrolerem dostpu. Jest darmowy, elastyczny,
bardzo szybki, atwo instalowalny, przenony. Moe by uywany do:
- ograniczenia dostpu do WWW dla niektrych uytkownikw na podstawie
  listy akceptowanych serwerw lub URL-i,
- blokowania dostpu do niektrych serwerw lub URL-i dla niektrych
  uytkownikw,
- blokowania dostpu do URL na podstawie wyrae regularnych lub sw
  dla niektrych uytkownikw,
- narzucenia uywania nazw domen/zabronienia uywania adresw IP w
  URL-ach,
- przekierowania zablokowanych URL-i na "inteligentn" stron
  informacyjn w CGI,
- przekierowania niezarejestrowanych uytkownikw do formularza
  rejestracyjnego,
- przekierowania cigania popularnego oprogramowania (Netscape, MSIE)
  na lokalne kopie,
- przekierowania bannerw na puste GIF-y,
- uzalenienia regu dostpu w zalenoci od pory dnia, dnia tygodnia,
  daty itp.,
- rnych regu dostpu dla rnych grup uytkownikw.

Natomiast ani squidGuard ani Squid nie moe by uyty do:
- filtrowania/cenzurowania/edycji tekstu wewntrz dokumentu,
- filtrowania/cenzurowania/edycji osadzonych w HTML skryptw
  (JavaScript, VBscript...)

%prep
%setup -q -n %{name}-%{ver}
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1

%build
%{__libtoolize}
%{__gettextize}
%{__aclocal}
%{__autoconf}
%configure \
	--with-sg-logdir=/var/log/%{name} \
	--with-sg-config=%{_sysconfdir}/squidGuard.conf \
	--with-sg-dbhome=%{_sysconfdir}/db \
	--with-db=%{_prefix}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/var/log/%{name},%{_bindir}} \
	$RPM_BUILD_ROOT%{_sysconfdir}/db/{advertising,bannedsource,banneddestination} \
	$RPM_BUILD_ROOT%{_sysconfdir}/db/{timerestriction,lansource,privilegedsource}

install src/squidGuard $RPM_BUILD_ROOT%{_bindir}

touch $RPM_BUILD_ROOT%{_sysconfdir}/db/advertising/{domains,urls}
touch $RPM_BUILD_ROOT%{_sysconfdir}/db/banneddestination/{domains,urls,expressions}
touch $RPM_BUILD_ROOT%{_sysconfdir}/db/bannedsource/ips
touch $RPM_BUILD_ROOT%{_sysconfdir}/db/lansource/lan
touch $RPM_BUILD_ROOT%{_sysconfdir}/db/timerestriction/lan
touch $RPM_BUILD_ROOT%{_sysconfdir}/db/privilegedsource/ips

touch $RPM_BUILD_ROOT/var/log/%{name}/%{name}.{log,error}

tar zxf %{SOURCE2} -C $RPM_BUILD_ROOT%{_sysconfdir}/db
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}
rm -rf samples/dest

rm -f $(find $RPM_BUILD_ROOT%{_sysconfdir}/db -name *diff -type f)

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /etc/squid/squid.conf ] && \
	! grep -q "^redirect_program.*%{_bindir}/%{name}" /etc/squid/squid.conf; then
	echo "redirect_program %{_bindir}/squidGuard -c /etc/squidGuard/squidGuard.conf" >>/etc/squid/squid.conf
	%service -q squid reload
fi

%preun
if [ -f /etc/squid/squid.conf ]; then
	%{__sed} -i -e /^redirect_program.*%(echo %{_bindir}/%{name} | sed -e 's,/,\\/,g')/d' /etc/squid/squid.conf
	#' spec.vim sucks
	%service -q squid reload
fi

%files
%defattr(644,root,root,755)
%doc README ANNOUNCE samples/* doc/*.{html,gif,txt}
%doc contrib/{squidGuardRobot/{squidGuardRobot,RobotUserAgent.pm},sgclean/sgclean,hostbyname/hostbyname}
%attr(755,root,root) %{_bindir}/*
%attr(750,root,squid) %dir %{_sysconfdir}
%attr(640,root,squid) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/squidGuard.conf
%{_sysconfdir}/db
%attr(770,root,squid) %dir /var/log/%{name}
%attr(640,squid,squid) %ghost /var/log/%{name}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: squidGuard.spec,v $
Revision 1.37  2006/05/19 21:39:08  glen
- use %service
- use sed for inline edits
- drop non cvslog changelog
- rel 2

Revision 1.36  2005/06/05 21:10:44  paszczus
- updated blacklist to 20050604 ; STBR

Revision 1.35  2005/05/18 10:42:20  qboosh
- gpm-friendly Source URLs, sorted verify() flags

Revision 1.34  2005/03/23 12:35:34  gotar
- %desc

Revision 1.33  2005/01/03 22:40:47  paszczus
- updated blist to 20050101

Revision 1.32  2005/01/03 22:19:55  zawadaa
- ech.. rel. up to 3
- STBR

Revision 1.31  2005/01/03 22:13:16  zawadaa
- patches for build with db4 from Tomasz Kolaj migo at abp.pl

Revision 1.30  2004/11/21 00:46:45  paszczus
- updated black lists to 20041120

Revision 1.29  2004/11/08 21:12:26  paszczus
- updated black lists to 20041106

Revision 1.28  2004/10/31 16:25:47  paladine
- spaces->tabs
- formatting

Revision 1.27  2004/10/29 11:17:59  paladine
- spelling fixes

Revision 1.26  2004/10/25 19:44:16  paszczus
- updated blist_ver to 20041023

Revision 1.25  2003/11/21 15:15:20  qboosh
- typos/improvements in pl descriptions

Revision 1.24  2003/08/04 11:35:58  qboosh
- use SUSv2-compliant chown syntax (user:group) instead of deprecated

Revision 1.23  2003/05/28 13:02:02  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 06:26:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/02/10 20:44:12  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.20  2002/12/25 14:10:41  mwinkler
- fix log permission

Revision 1.19  2002/12/25 13:51:15  mwinkler
- BuildRequires added

Revision 1.18  2002/11/26 09:04:25  djrzulf
- back again,
- build but doesn't works,
- i think that db section (create database) should be checked at sources,

revision 1.17  2002/11/24 23:44:25  djrzulf
- it doesn't work and won't work

Revision 1.16  2002/11/21 09:49:07  marcus
- rel.2., fix for ppc ;>

Revision 1.15  2002/11/21 02:08:45  kloczek
- cosmetics.

Revision 1.14  2002/11/07 12:55:23  djrzulf
- corrected some things, temporary save

Revision 1.13  2002/11/07 10:40:26  djrzulf
- s/-pq/-pg/, but still don't work - errors at .conf file

Revision 1.12  2002/10/09 13:14:48  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.11  2002/05/21 23:14:47  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/02/22 23:29:45  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:15:04  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/10/12 14:26:21  grzegorz
- added reloading squid in %post

Revision 1.7  2001/10/12 09:54:03  grzegorz
- typo

Revision 1.6  2001/10/12 09:50:02  grzegorz
- added Prereq: grep
- s/BuildRequires:  db2-devel/BuildRequires:  db3-devel/
- new %post with automatic squid reconfiguration
- added %preun with automatic squid reconfiguration
- release 2
- i think that logrotate script is needed too

Revision 1.5  2001/10/11 12:08:34  grzegorz
- correct Source0 URL

Revision 1.4  2001/10/11 09:24:34  qboosh
- pl translations, BuildRequires: autoconf,automake

Revision 1.3  2001/07/24 15:15:42  waszi
- updated to snapshot
- need testing

Revision 1.2  2001/07/24 14:12:06  waszi
- partially rewrited
- NFY
